# log4cpp::threading::ScopedLock Class Reference

definition of ScopedLock; More...

`#include <PThreads.hh>`

Collaboration diagram for log4cpp::threading::ScopedLock:

[legend]
List of all members.

## Public Member Functions

| ScopedLock (Mutex &mutex)
| ~ScopedLock ()

## Detailed Description

definition of ScopedLock;

## Constructor & Destructor Documentation

log4cpp::threading::ScopedLock::ScopedLock | ( | Mutex & | mutex | ) | `[inline]`

log4cpp::threading::ScopedLock::~ScopedLock | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- PThreads.hh